S3 List Object Versions
  • 31 May 2023
  • Dark
    Light

S3 List Object Versions

  • Dark
    Light

Article summary

GEThttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>/?versions

Returns metadata of the versions of objects in the bucket. Use the query parameters to filter the search.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PARAMS

versions

Must be present to retrieve object versions

delimiter

Optional. The delimiter is used to group keys.

encoding-type

Optional. Specifies an encoding method to use for characters that are not supported in XML 1.0.

key-marker

Optional. The key that you want to start listing from.

max-keys

Optional. The maximum number of keys that should be returned.
prefix

Optional. Limit response to keys with this prefix.

version-id-marker

Optional. The object version id that you want to start listing from.

PATH VARIABLES

bucket

Required. The name of the bucket

Example Request

curl --location 'https://s3.<your-region>.backblazeb2.com/my-bucket-name/?versions=null'

Example Response

200 OK

Body

<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<ListVersionsResult xmlns="http://s3.amazonaws.com/doc/2006-03-01/">
    <DeleteMarker>
        <IsLatest>true</IsLatest>
        <Key>object-2</Key>
        <LastModified>2022-01-28T23:40:31.000Z</LastModified>
        <Owner>
            <ID>15f935cf4dcb</ID>
            <DisplayName></DisplayName>
        </Owner>
        <VersionId>4_z6145af89f355ac2f74ed0c1b_f40057de773908ada_d20220128_m234031_c004_v0402002_t0050</VersionId>
    </DeleteMarker>
    <IsTruncated>false</IsTruncated>
    <MaxKeys>1000</MaxKeys>
    <Name>my-bucket-name</Name>
    <Version>
        <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
        <IsLatest>true</IsLatest>
        <Key>object-1</Key>
        <LastModified>2022-01-28T23:24:07.000Z</LastModified>
        <Owner>
            <ID>15f935cf4dcb</ID>
            <DisplayName></DisplayName>
        </Owner>
        <Size>11</Size>
        <StorageClass>STANDARD</StorageClass>
        <VersionId>4_z6145af89f355ac2f74ed0c1b_f4030346ce9e208f0_d20220128_m232407_c004_v0402005_t0021</VersionId>
    </Version>
    <Version>
        <ETag>"85f30635602dc09bd85957a6e82a2c21"</ETag>
        <IsLatest>false</IsLatest>
        <Key>object-1</Key>
        <LastModified>2022-01-28T23:12:33.000Z</LastModified>
        <Owner>
            <ID>15f935cf4dcb</ID>
            <DisplayName></DisplayName>
        </Owner>
        <Size>11</Size>
        <StorageClass>STANDARD</StorageClass>
        <VersionId>4_z6145af89f355ac2f74ed0c1b_f416a807037a7ee2a_d20220128_m231233_c004_v0402000_t0056</VersionId>
    </Version>
</ListVersionsResult>


Headers (8)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type

application/xml

Content-Length

2646

Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?